#include <sys/time.h>
#include <stdio.h>

void print_time_diff(const char* label, struct timeval* start, struct timeval* end) {
    long seconds = end->tv_sec - start->tv_sec;
    long microseconds = end->tv_usec - start->tv_usec;
    if (microseconds < 0) {
        seconds -= 1;
        microseconds += 1000000;
    }
    printf("%s: %ld.%ld seconds\n", label, seconds, microseconds);
}
