#ifndef VECTOR_H
#define VECTOR_H
#include "sparse_matrix.h"

void init_vector(double *vector, int size, double value);
double diff_norm_vector(double *vector1, double *vector2, int size);
void generate_f(const SparseMatrix *matrix, double *res);
void normalize_vector(double* v, int N);
double vec_product(const double* v1, const double* v2, int N);

#endif
